
CoCoALib - Support #391

Check consistency of template class factorization

23 Jul 2013 18:41 - Anna Maria Bigatti

Status: Closed Start date: 23 Jul 2013

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Safety Estimated time: 2.00 hours

Target version: CoCoALib-0.99532 Spent time: 2.25 hours

Description

I would find convenient to have a function checking whether the factorization is consistent, i.e. all factors and remaining factor in the

same ring/PPMonoid/??

Is that possible?

Related issues:

Related to CoCoALib - Design #411: design of factorization template class Closed 23 Oct 2013

Related to CoCoALib - Design #429: factorization: public data fields, or mem ... Closed 28 Jan 2014

History

#1 - 23 Oct 2013 12:42 - John Abbott

- Category set to Safety

- Status changed from New to In Progress

- % Done changed from 0 to 50

I noticed yesterday that there is a fn ourCheckConsistency for factorizations.

This probably does what is needed -- but someone should verify!

#2 - 29 Oct 2013 13:07 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99532

#3 - 02 Apr 2014 16:18 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

This has already been subsumed by #411 and/or #429.

Closing

#4 - 03 Apr 2014 11:54 - Anna Maria Bigatti

- Estimated time set to 2.00 h
